package com.zhongzheng.modules.exam.service;

import com.zhongzheng.modules.exam.domain.ExamArrangementTime;
import com.zhongzheng.modules.exam.vo.ExamArrangementTimeVo;
import com.zhongzheng.modules.exam.bo.ExamArrangementTimeQueryBo;
import com.zhongzheng.modules.exam.bo.ExamArrangementTimeAddBo;
import com.zhongzheng.modules.exam.bo.ExamArrangementTimeEditBo;
import com.baomidou.mybatisplus.extension.service.IService;
import io.swagger.models.auth.In;

import java.util.Collection;
import java.util.List;

/**
 * 考试时间段安排Service接口
 *
 * @author change
 * @date 2021-05-25
 */
public interface IExamArrangementTimeService extends IService<ExamArrangementTime> {
	/**
	 * 查询单个
	 * @return
	 */
	ExamArrangementTimeVo queryById(Long arrangementId);

	/**
	 * 查询列表
	 */
	List<ExamArrangementTimeVo> queryList(ExamArrangementTimeQueryBo bo);

	/**
	 * 根据新增业务对象插入考试时间段安排
	 * @param bo 考试时间段安排新增业务对象
	 * @return
	 */
	Boolean insertByAddBo(ExamArrangementTimeAddBo bo);

	/**
	 * 根据编辑业务对象修改考试时间段安排
	 * @param bo 考试时间段安排编辑业务对象
	 * @return
	 */
	Boolean updateByEditBo(ExamArrangementTimeEditBo bo);

	/**
	 * 校验并删除数据
	 * @param ids 主键集合
	 * @param isValid 是否校验,true-删除前校验,false-不校验
	 * @return
	 */
	Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    void insertExamArrangementTime(ExamArrangementTime examArrangementTime);

    void inserTime(List<ExamArrangementTime> entity2Time, Long id);

    void removeId(Long id);
}
